%define debug 0
%define desktop_file 1
%define beta %{nil}

Name: kile
Version: 1.6.3
Release: 1.PU_IAS.1
Summary: Integrated LaTeX Environment for KDE3
Source: ftp://ftp.kde.org/pub/kde/stable/apps/KDE3.x/office/kile-%{version}%{beta}.tar.bz2
Group: Applications/Publishing
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Packager: Mikael Boehm <mickopicko@telia.com>
Distribution: RedHat
Url: http://soliton.science.uva.nl/~wijnhout/Kite/
Vendor: Jeroen Wijnhout <wijnhout@science.uva.nl>
Requires: qt >= 3.1.1
Requires: kdelibs >= 3.1
Requires: aspell >= 0.33.7.1
Requires: tetex >= 1.0.7
Requires: tetex-latex >= 1.0.7
Requires: tetex-dvips >= 1.0.7
Requires: tetex-xdvi >= 1.0.7
Requires: xpdf >= 2.01
Requires: gnuplot >= 3.7.3
Requires: xfig >= 3.2.3
BuildRequires: qt-devel >= 3.1
BuildRequires: kdelibs-devel >= 3.1
BuildRequires: arts-devel >= 1.1
BuildRequires: libart_lgpl-devel >= 2.3.10

%if %{desktop_file}
Prereq: desktop-file-utils >= %{desktop_file_utils_version}
%endif

%description
LaTeX source editor - TeX shell - Gnuplot front end for KDE 3
Kile is a program for KDE 3, that integrates many tools needed
to develop documents with LaTeX, in just one application.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n kile-%{version}%{beta}

%build
# Qt/KDE Enviroments
unset QTDIR && . /etc/profile.d/qt.sh

%configure --with-qt-dir=$QTDIR --with-qt-libraries=$QTDIR/lib

make %{?smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install

%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

desktop-file-install \
   --vendor kde \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --add-category "Application;Utility;X-Red-Hat-Extra" \
   $RPM_BUILD_ROOT%{_datadir}/applications/kde/*

rm -rf $RPM_BUILD_ROOT%{_datadir}/applnk $RPM_BUILD_ROOT%{_datadir}/applications/kde
%endif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,0755)
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/apps/*
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/mimelnk/text/*
%doc %{_docdir}/HTML/*

%changelog
* Thu Jul 17 2003 Mikael Boehm <mickopicko@telia.com> 1.5.2-0
- kile 1.5.2 release for RHL 9

* Mon May 19 2003 Than Ngo <than@redhat.com> 1.5-1
- initial rpm for RHL 9
